<html>
 <head>
   <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
   <link type="text/css" rel="stylesheet" href="/css/estilos.php" />
   <title>Odontograma de Tratamiento</title>
   <style type="text/css" media="all">@import "./estilos.css";</style>
 </head>

<body>   
   
  <?php
   $s_tipoId     = $_GET['v1'];
   $s_idPaciente = $_GET['v2'];
  
   //conexion a la base de datos
   include("conexionOdo.php");  
  
                   //arma tabla de odontograma de tratamientos elegidos
                $query = " SELECT B.*, A.codigo, A.descripcion " .
                         " FROM SIO_LIS_ODONTOGRAMA A, SIO_TRA_MOVODONTO B ".
                         " WHERE A.codigo = B.codDiag AND ". 
                         "       B.tipoId = '$s_tipoId' AND B.idPaciente = $s_idPaciente ";
                         echo $query;
                         //"     B.numConsulta = '$nConsulta' ";  
                $result = mysql_query($query) or die('Consulta de odontograma de tratamiento fallida: ' . mysql_error());
        
                $num_total_registros = mysql_num_rows($result); 
                //echo $num_total_registros;
        
                $i=0;
                while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) 
                {
                  $diente    = $line["numDiente"];
                  $cara      = $line["caraDiente"]; 
                  $codigo    = $line["codDiag"];
                  $nombre    = $line["descripcion"];
                  $codTr     = $line["codTra"];
                  $odoObs    = $line["observaciones"];
                  $real      = $line["realizado"];
                  $trat      = $line["tratamiento"];
                  $consulta  = $line["numConsulta"];
                  $fecha     = $line["fechaConsulta"];

                  $matriz = explode(" ", $fecha);
                  $fecha = $matriz[0]; 


                  if ($trat=="S"){
                    $estado="Trat";
                   }
                  else{
                    if ($real=="S"){
                       $estado="Real";
                     }
                     else{ 
                      $estado="";
                     }
                   } 

                  $queryT  = "SELECT descripcion FROM SIO_LIS_ODONTOGRAMA WHERE codigo='$codTr'";
                  $resultT = mysql_query($queryT) or die('Consulta de descripcion de tratamiento fallida: ' . mysql_error()); 
                  $lineT   = mysql_fetch_array($resultT, MYSQL_ASSOC);
                  $nomT    = $lineT["descripcion"];

                  echo("<table class='camposTabla' align='center' width='100%' border='1' cellpading='0'>\n");
                  //echo ("<form method='post' action='historiaClinica.php'>\n");
                  if ($i==0)
                  {// para mostrar titulos 
                     echo ("<tr>\n");
                        echo   ("<td class='titulosTabla' align='center' colspan='7'>ODONTOGRAMA DE TRATAMIENTO</td>\n");
                     echo("</tr>\n");
                     echo("<tr class='subtutulosTabla'>\n");
                        echo("<td  colspan='2' class='negrita'align='center'>Diagn&oacute;stico</td>\n");
                        echo("<td  colspan='2' class='negrita' align='center'>Ultimo tratamiento realizado</td>\n");
                        echo("<td  class='negrita' align='center'>Observaciones</td>\n"); 
                        echo("<td  class='negrita'>Estado</td>\n");
                        echo("<td  class='negrita'>No.Cons./Fecha</td>\n");
                     echo("</tr>\n");
                  }
                  echo("<tr>\n");
                    echo("<td class='camposTabla1' width='10%' align='center'>$codigo-$diente-$cara</td>\n");
                    echo("<td class='camposTabla1' width='15%' align='center' class='camposTabla'>$nombre</td>\n");
                    echo("<td class='camposTabla1' width='10%' align='center'>$codTr</td>\n");
                    echo("<td class='camposTabla1' width='20%' align='left' class='camposTabla'>$nomT</td>\n");
                    echo("<td class='camposTabla1' width='30%' align='left' class='camposTabla'>$odoObs</td>\n");
                    echo("<td class='camposTabla1' width='5%' align='left' class='camposTabla'>$estado</td>\n");
                    echo("<td class='camposTabla1' width='10%' class='camposTabla' align='center'> $consulta del $fecha</td>\n");
                  echo("</tr>\n");
          
                  $i = $i+1;
                }//while 
        
                 $activeTr="N";
                 if ($i>0)
                 {
                  $activeTr="S";      
                 }
                 echo("</table>\n");
                 // Liberar resultados
                 mysql_free_result($result);
               ?>
             
        <table class='camposTabla' align='center' width='100%' border='1' cellpading='0'>     
          <tr>
           <td colspan="6" align="center">
             <input type=button value="Cerrar Ventana" onclick="javascript:top.window.close()" style.width="200" >    
           </td>
          </tr>
        </table>        
 </body>
</html>